using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SFML.Window;
using SFML.Graphics;

namespace YourBeatingHeart.Main.Helper
{
    public static class GeneralHelper
    {
        public static string MillisecondsToString(long ms)
        {
            long minutes = ms / 60000;
            long seconds = (ms / 1000) % 60;
            return minutes.ToString() + ":" + seconds.ToString();
        }

        public static Vector2f GetCenter(this FloatRect rect)
        {
            return new Vector2f(rect.Left + rect.Width / 2, rect.Top + rect.Height / 2);
        }
    }
}
